
QGIS Application - Bug report #3991

WFS 1.1 data is not displayed

2011-06-16 12:40 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13981

Description

Data from WFS 1.1 is being loaded but the result is an empty layer (only column names in attributes, no values, no geometries).

Tested with: http://data.wien.gv.at/daten/wfs (any layer)

Fetching the data with wget seems to work fine.

Related issues:

Duplicates QGIS Application - Feature request # 4124: Add support for wfs 1.1.0 Closed 2011-08-01

History

#1 - 2011-06-16 03:51 AM - Giovanni Manghi

The server works fine also in other GIS packages.

#2 - 2011-06-27 12:22 AM - Anita Graser

- Assignee set to Marco Hugentobler

#3 - 2011-07-09 05:20 AM - Anita Graser

- Target version set to Version 1.7.1

It seems like compatibility broke when they updated their WFS (Geoserver) from version 1.0 to 1.1: http://data.wien.gv.at/formate/wfs.html

Does QGIS WFS layer only support version 1.0?

#4 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#5 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#6 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#7 - 2012-04-16 06:28 AM - Paolo Cavallini

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0
- Crashes QGIS or corrupts data set to No

#8 - 2012-08-07 10:36 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

See https://github.com/qgis/Quantum-GIS/pull/199

#9 - 2012-08-07 10:37 AM - Paolo Cavallini

- Pull Request or Patch supplied changed from No to Yes

#10 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#11 - 2013-09-12 07:27 AM - Evgeniy Nikulin

If request is GetFeature (not GetCapabilities?!?!?) and xml encoding is not "utf-8", then data handler write error: 

"Error: unknown encoding on line 1, column 30" 

Line 1 from respond:

<?xml version='1.0' encoding="windows-1251" ?>

If the encoding is utf-8, the data are displayed normally.

#12 - 2013-09-12 11:57 AM - Evgeniy Nikulin

http://www.xml.com/pub/a/1999/09/expat/?page=2

There are four built-in encodings in expat:

UTF-8

UTF-16

ISO-8859-1

US-ASCII

:(

#13 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#14 - 2015-10-10 01:11 AM - Anita Graser

- Subject changed from WFS data is not displayed to WFS 1.1 data is not displayed

Note: The data.wien.gv.at server has been changed to serve WFS 1.0 again, so it cannot be used to reproduce this issue anymore.
#15 - 2015-12-03 05:38 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I have made some tests on a WFS 1.1 service ( 

http://geoservices.brgm.fr/geologie?SERVICE=WFS&#38;VERSION=1.1.0&#38;REQUEST=GetFeature&#38;TYPENAME=LITHO_1M_SIMPLIFIEE&#

8;SRSNAME=EPSG:4326 ). The BRGM WFS service is requested by default as WFS 1.0 from QGIS Client (if you add http://geoservices.brgm.fr/geologie

in the WFS server list), so I have manually changed the datasource in the qgs file.

With such a layer, I get all of the attributes and the geometries. The geometries are not well projected but after a quick comparison with the WFS 1.0

version of the layer (that you can get at 

http://geoservices.brgm.fr/geologie?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=LITHO_1M_SIMPLIFIEE&#

8;SRSNAME=EPSG:4326 ), it seems to be a WFS server side problem. So, for me, QGIS 2.13 seems to be able to get WFS 1.1 layers.

Could someone test on an another service to be sure ?

#16 - 2015-12-20 08:25 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

seems to work ok, tested on master.
